Bug 1764438 (CVE-2019-11757) - CVE-2019-11757 Mozilla: Use-after-free when creating index updates in IndexedDB
Summary: CVE-2019-11757 Mozilla: Use-after-free when creating index updates in IndexedDB
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11757
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1763562 1764938 1763558 1763559 1763560 1763561 1763563 1764206 1764937 1764939 1764940 1764941 1764942
Blocks: 1763556
TreeView+ depends on / blocked
 
Reported: 2019-10-23 05:39 UTC by Doran Moppert
Modified: 2020-03-31 05:21 UTC (History)
5 users (show)

Fixed In Version: firefox 68.2, thunderbird 68.2
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free flaw was found in Mozilla Firefox and Thunderbird. When following a value's prototype chain, it was possible to retain a reference to a locale, delete it, and subsequently reference it. An attacker could use this flaw to execute code that was stored in the referenced memory or crash the system.
Clone Of:
Environment:
Last Closed: 2019-10-25 00:51:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3193 None None None 2019-10-23 14:00:41 UTC
Red Hat Product Errata RHSA-2019:3196 None None None 2019-10-24 08:24:43 UTC
Red Hat Product Errata RHSA-2019:3210 None None None 2019-10-29 09:49:01 UTC
Red Hat Product Errata RHSA-2019:3237 None None None 2019-10-29 13:46:58 UTC
Red Hat Product Errata RHSA-2019:3281 None None None 2019-10-31 14:08:10 UTC
Red Hat Product Errata RHSA-2019:3756 None None None 2019-11-06 17:08:08 UTC

Description Doran Moppert 2019-10-23 05:39:52 UTC
When following the value's prototype chain, it was possible to retain a reference to a locale, delete it, and subsequently reference it. This resulted in a use-after-free and a potentially exploitable crash.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-33/#CVE-2019-11757

Comment 1 Doran Moppert 2019-10-23 05:39:54 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Zhanjia Song

Comment 2 errata-xmlrpc 2019-10-23 14:00:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3193 https://access.redhat.com/errata/RHSA-2019:3193

Comment 3 errata-xmlrpc 2019-10-24 08:24:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3196 https://access.redhat.com/errata/RHSA-2019:3196

Comment 4 Product Security DevOps Team 2019-10-25 00:51:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11757

Comment 5 errata-xmlrpc 2019-10-29 09:49:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3210 https://access.redhat.com/errata/RHSA-2019:3210

Comment 6 errata-xmlrpc 2019-10-29 13:46:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3237 https://access.redhat.com/errata/RHSA-2019:3237

Comment 7 errata-xmlrpc 2019-10-31 14:08:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3281 https://access.redhat.com/errata/RHSA-2019:3281

Comment 8 errata-xmlrpc 2019-11-06 17:08:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3756 https://access.redhat.com/errata/RHSA-2019:3756


Note You need to log in before you can comment on or make changes to this bug.